<?php 
  include("../../clases/BDConexion.php");
  include("../../clases/clsReq.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  $objPer=new clsReq;
  $fecha1=extraerfechamysql($fecha1);
  $fecha2=extraerfechamysql($fecha2);
  $fecha3=extraerfechamysql($fecha3);
  session_start();
  $count = count($quitar);
  if ($count>0){
  for($i=0;$i<$count;$i++){
		$objPer->EliminarAutorizacionDetallegasto($quitar[$i]);     
	}
  }

 if (isset($descripcion_auto)){
  	while(list($clave,$valor)=each($descripcion_auto)){
		$objPer->IngresarDetaAutorizaciones($num_req,$valor[0],$valor[1],$valor[2],$valor[3],$valor[4],$valor[6],$valor[7]);
	 												}
	}
 		$result = $objPer->DevolverTotaldeAutorizacionPagoxDetalle($num_req);
        $suma = 0;
		while ($filas=$objPer->NextRow($result)){
		       $valor = substr($filas['total'],4,10);
			   $suma = $suma + $valor;
		}
 if ($dolar==1){$sim="$/. ";}else{$sim="S/. ";}
 $totales = $sim.$suma;
 $objPer->UPDATEAutorizaGasto($num_req,$observacion,$totales,$solinombre,$fecha1,$aprobnombre,$fecha2,$reperesnombre,$fecha3);
 Redirigir("../dir_autogasto_edi_print.php?num_req=$num_req&ruc=$ruc"); 
  ?>